{% set CodiceModulo = "RICH_CONF_PREPOST" %}
{% set Urn = "document:c_c990:pre.post.scuola;conferma;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
  { "codice":"DAE-CDI",
    "urn":"document:s_italia:generale;documento.identita;documentazione",
    "descrizione_tabella_allegati":"copia del documento di identità",
    "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
    "descrizione_meta":"", 
    "filename":"Documento identita",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"",
    "dynamic_check":"",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdf" 
    }
  ]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Pubblica istruzione"
trattamento_dati="PERSONALI_SENSIBILI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di conferma al tempo integrato o prolungato"
destinatario_amministrazione=""
destinatario_ufficio="UOPUBBLICAISTRUZIONE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="NO"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="4.0|25/02/2025"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
  <meta codice_allegato="ALTRI-ALLEGATI"
  urn_allegato="document:s_italia:altri.allegati"
  descrizione_estesa="Altri allegati"
  filename="Altri allegati"
  firmatari="Titolare_CodiceFiscale"
  firmatari_label="il dichiarante"
  firmato="NO"
  name="GLOBO_allegato"
  numero="0"
  dimensione_massima="15"
  obbligatorio="DINAMICO"
  tipo_mime="image/tiff,image/png,image/jpeg,application/pdf"/>

{% endblock meta %}

{% block title %}Domanda di conferma al tempo integrato o prolungato{% endblock title %}

{% block content %}

<input dynamic_value="#Ente.value()" id="Parametri_Comune" name="Parametri_Comune" type="hidden"/>
<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - iscrizione servizio tempo integrato'" id="Oggetto" name="Oggetto" type="hidden"/>

{% block attivazione_temporale %}
{{ utils.attivazione_temporale_procedure(urn_procedure="procedure:c_c990:pre.post.scuola;conferma") }}
{% endblock attivazione_temporale %}

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<div class="container">
  <div class="title-1">Domanda di conferma al tempo integrato o prolungato</div>
 </div>

{{ utils_scolastici.anno_scolastico(intestazione = "anno scolastico") }}

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
     <input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
     <input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
     <input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
     {{ anagrafica.persona_fisica( prefix="Titolare", 
                                   intestazione="Il sottoscritto genitore, tutore o affidatario", 
                                   visibility_intestazione="visibility:visibility", 
                                   visibility_residenza="visibility:visibility", 
                                   visibility_mail="mail_ordinaria", 
                                   cf_obbligatorio="true", 
                                   pec_obbligatoria ="false", 
                                   campi_readonly="readonly", 
                                   mailordinaria_obbligatoria="false", 
                                   visibility_domicilio="display:none", 
                                   visibility_datanascita="visibility:visibility", 
                                   onceonly="false")}}    

    <input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Richiedente"/>
    <input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Richiedente"/>
    {{ anagrafica.persona_fisica( prefix="Referente", 
                                  intestazione='<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="checkbox" value="SI"/> del bambino', 
                                  visibility_intestazione="visibility:visibility", 
                                  visibility_residenza="display:none", 
                                  visibility_mail="display:none", 
                                  cf_obbligatorio="true", 
                                  pec_obbligatoria ="false", 
                                  campi_readonly="", 
                                  mailordinaria_obbligatoria="false", 
                                  visibility_domicilio="display:none", 
                                  visibility_datanascita="visibility:visibility", 
                                  onceonly="true")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}
<!--In caso di select per la scuola, classe o sezione inserire i valori delle option come i ruoli nell'anagrafica società
Es. options=["scuola 1", "scuola 2"] -->
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> iscritto dal prossimo mese di settembre alla scuola </span>
    </div>
    <div class="form-group col-lg-4">
      <label for="Referente_ScuolaDenominazione"> Scuola </label>
      <input class="form-control" id="Referente_ScuolaDenominazione" name="Referente_ScuolaDenominazione" label="Scuola" onceonly="true" mandatory_enabled="true">
    </div>
    <div class="form-group col-lg-4">
      <label for="Referente_ScuolaClasse"> Classe </label>
      <input class="form-control" id="Referente_ScuolaClasse" name="Referente_ScuolaClasse" label="Classe" onceonly="true">
    </div>
    <div class="form-group col-lg-4">
      <label for="Referente_ScuolaSezione"> Sezione </label>
      <input class="form-control" id="Referente_ScuolaSezione" name="Referente_ScuolaSezione" label="Sezione" onceonly="true">
    </div>
  </div>
</div>
<input id="Parametri_ScuolaDenominazione" name="Parametri_ScuolaDenominazione" type="hidden" dynamic_value="#Referente_ScuolaDenominazione.value()" />
<input id="Parametri_ScuolaClasse" name="Parametri_ScuolaClasse" type="hidden" dynamic_value="#Referente_ScuolaClasse.value()" />
<input id="Parametri_ScuolaSezione" name="Parametri_ScuolaSezione" type="hidden" dynamic_value="#Referente_ScuolaSezione.value()" />
<globo_salto_pagina></globo_salto_pagina>
<div class="container mt-0 mb-0">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify">la conferma ad uno dei seguenti servizi </div>
</div>

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Chiede" name="Tassonomia_Chiede" label="Chiede" mandatory="true"></div>
    <input class="form-check-input" id="Tassonomia_Chiede1" name="Tassonomia_Chiede" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_Chiede1">servizio di prolungamento orario per le scuole dell’infanzia (dal termine delle lezioni fino alle ore 17:30)</label>
        {% set testi = [
          "area Giochi Chiugiana presso la Scuola Infanzia Chiugiana",
          "area Giochi Girasole presso la Scuola Infanzia Girasole",
          "area Giochi La Lucina presso la Scuola Infanzia San Mariano" 
        ]%}
        {% for testo in testi %}
          <div class="form-check indent-1">
            {% if loop.first %} <div id="Tassonomia_ScuoleInfanzia" name="Tassonomia_ScuoleInfanzia" label="Prolungamento orario scuole dell'infanzia" mandatory_enabled="#Tassonomia_Chiede1.checked()"></div>{% endif %}
            <input class="form-check-input" id="Tassonomia_ScuoleInfanzia{{ loop.index }}" name="Tassonomia_ScuoleInfanzia" type="radio" value="{{ loop.index }}">
            <label class="form-check-label" for="Tassonomia_ScuoleInfanzia{{ loop.index }}"> {{ testo|safe }} </label>
          </div>
          {% endfor %}   
  </div>
</div>
<div class="container border bg-light">
  <div class="form-check indent-1">

    <input class="form-check-input" id="Tassonomia_Chiede2" name="Tassonomia_Chiede" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_Chiede2">servizio di tempo integrato per le scuole primarie (dal termine delle lezioni fino alle ore 16:00)</label>
    <div class="form-check indent-1">
      <div id="Tassonomia_ScuolePrimarie" name="Tassonomia_ScuolePrimarie" label="Tempo integrato scuole primarie" mandatory_enabled="#Tassonomia_Chiede2.checked()"></div>
      <input class="form-check-input" id="Tassonomia_ScuolePrimarie1" name="Tassonomia_ScuolePrimarie" type="radio" value="1">
      <label class="form-check-label" for="Tassonomia_ScuolePrimarie1"> Diverticompiti presso la Scuola Primaria San Mariano </label> 
    </div>
    <div class="form-check indent-1">
   
      <input class="form-check-input" id="Tassonomia_ScuolePrimarie2" name="Tassonomia_ScuolePrimarie" type="radio" value="2">
      <label class="form-check-label" for="Tassonomia_ScuolePrimarie2">  tempo Integrato presso la Scuola Primaria di Corciano</label>  
    </div>
    <div class="form-check indent-1">
   
      <input class="form-check-input" id="Tassonomia_ScuolePrimarie3" name="Tassonomia_ScuolePrimarie" type="radio" value="3">
      <label class="form-check-label" for="Tassonomia_ScuolePrimarie3"> tempo Integrato presso la Scuola Primaria di Martignana</label>  
    </div>
    
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Chiede3" name="Tassonomia_Chiede" type="radio" value="3">
    <label class="form-check-label" for="Tassonomia_Chiede3">servizio di tempo integrato presso la scuola secondaria di primo grado di San Mariano (dal termine delle lezioni fino alle ore 16:40) </label>
  </div>
</div>

{{ utils.Dichiara_445() }}

<div class="container mt-0 mb-0">
  {% set dic = [
    "che l’alunno è residente nel Comune di Corciano",
    "di essere in regola con i pagamenti precedenti",
    "di essere in possesso di valutazione specialistica ai sensi della Legge 05/02/1992, n. 104 art.3 e che necessita di assistenza alla comunicazione e all'autonomia" 
  ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
</div>
<div class="container mt-0 mb-0">
  <div class="title-3">  DICHIARA INOLTRE </div>

</div>

<div class="container mt-0 mb-0">
  <div class="form-check indent-1">
    <input class="form-check-input" id="DichiaraISEE" name="DichiaraISEE" type="checkbox" value="SI">
    <label class="form-check-label" for="DichiaraISEE"> di possedere il seguente ISEE </label>
    {{ utils_sociali.isee(intestazione="", visibility_intestazione="display:none", numerodsu="display:none", mandatory_enabled="#DichiaraISEE.checked()", indentato="true") }}
  </div>
</div>
<div class="container mt-0 mb-0">
  <div class="form-check indent-1">
    <input class="form-check-input" id="DichiaraRegolamentoComunale" name="DichiaraRegolamentoComunale" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label" for="DichiaraRegolamentoComunale"> di aver preso visione del vigente Regolamento Comunale </label>
  </div>
</div>


<div class="container mt-0 mb-0">
  {% set dic = [
    "di essere a conoscenza che i servizi scolastici comunali sono a pagamento e che in caso di mancato pagamento  della tariffa attribuita, il Comune procederà al recupero coattivo del credito",
   ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="DichiaraUlt{{ loop.index }}" name="DichiaraUlt{{ loop.index }}" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label" for="DichiaraUlt{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
</div>
<div class="container mt-0 mb-0">
  <div class="form-check indent-1">
    <div id="DichiaraSceltaPagamento" name="DichiaraSceltaPagamento" label="Chiede" mandatory="true"></div>
    <input class="form-check-input" id="DichiaraSceltaPagamento1" name="DichiaraSceltaPagamento" type="radio" value="1">
    <label class="form-check-label" for="DichiaraSceltaPagamento1">di procedere al pagamento della retta dovuta</label>  
      {% set testi = [
        "in un'unica soluzione entro il 15 settembre",
        "in due rate, la prima entro il 15 settembre, la seconda entro il 15 dicembre" 
      ]%}
      {% for testo in testi %}    
      <div class="form-check indent-2">
        {% if loop.first %} <div id="DichiaraRette" name="DichiaraRette" label="Orario di uscita" mandatory_enabled="#DichiaraSceltaPagamento1.checked()"></div>{% endif %}
        <input class="form-check-input" id="DichiaraRette{{ loop.index }}" name="DichiaraRette" type="radio" value="{{ loop.index }}">
        <label class="form-check-label" for="DichiaraRette{{ loop.index }}"> {{ testo|safe }} </label>
      </div>
        {% endfor %}  
    
  </div>
</div>

<div class="container mt-0 mb-0">
  {% set dic = [
    "di essere a conoscenza che l'importo dovrà essere pagato per intero, come da Regolamento, anche in caso di mancata frequenza, rinuncia o ritiro in corso d'anno",
    "che qualsiasi variazione dei dati dichiarati al momento dell’iscrizione e l’eventuale rinuncia al servizio richiesto dovranno essere comunicati al Comune",
   ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="DichiaraUlteriore{{ loop.index }}" name="DichiaraUlteriore{{ loop.index }}" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label" for="DichiaraUlteriore{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
</div>

{{ utils_scolastici.dichiarazione_miur() }}
<div class="space-1"></div>
<globo_salto_pagina></globo_salto_pagina>
{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value="" />

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>
{% endblock content %}
